aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorOliver Smith <ollieparanoid@bitmessage.ch>2018-09-20 06:57:20 +0200
committerTimo Teräs <timo.teras@iki.fi>2018-09-24 10:19:24 +0300
commit9d9f981a2c421f44db3ae66b90293202748eb9f3 (patch)
tree8790d020333778e4441e1160ef2b17fb6d8e7a0d
parent993843fcca32a014f8c0aa87195c4dbed36fdb16 (diff)
downloadaports-9d9f981a2c421f44db3ae66b90293202748eb9f3.tar.gz
aports-9d9f981a2c421f44db3ae66b90293202748eb9f3.tar.bz2
aports-9d9f981a2c421f44db3ae66b90293202748eb9f3.tar.xz
aports: add support for armv7 [skip ci]
This makes it possible to provide armv7 as additional architecture in Alpine, next to armhf. See the discussion in this ML thread: <https://lists.alpinelinux.org/alpine-devel/6271.html> It's done by adding armv7 next to armhf in the arch line and also !armv7 where the arch line said !armhf. The following script was used:
-rw-r--r--community/bitcoin/APKBUILD2
-rw-r--r--community/chromium/APKBUILD2
-rw-r--r--community/domoticz/APKBUILD2
-rw-r--r--community/drawterm/APKBUILD2
-rw-r--r--community/dune/APKBUILD2
-rw-r--r--community/gst-ffmpeg0.10/APKBUILD2
-rw-r--r--community/icinga2/APKBUILD2
-rw-r--r--community/icingaweb2-module-director/APKBUILD2
-rw-r--r--community/icingaweb2/APKBUILD2
-rw-r--r--community/john/APKBUILD2
-rw-r--r--community/mruby/APKBUILD2
-rw-r--r--community/nnn/APKBUILD2
-rw-r--r--community/ocaml-camlp4/APKBUILD2
-rw-r--r--community/ocaml-findlib/APKBUILD2
-rw-r--r--community/ocaml-lablgtk/APKBUILD2
-rw-r--r--community/ocaml/APKBUILD2
-rw-r--r--community/ocamlbuild/APKBUILD2
-rw-r--r--community/omxplayer/APKBUILD2
-rw-r--r--community/opam/APKBUILD2
-rw-r--r--community/py-gpiozero/APKBUILD2
-rw-r--r--community/py-rpigpio/APKBUILD2
-rw-r--r--community/py-sensehat/APKBUILD2
-rw-r--r--community/rspamd/APKBUILD2
-rw-r--r--community/shotwell/APKBUILD2
-rw-r--r--community/syncthing/APKBUILD2
-rw-r--r--community/terraform/APKBUILD2
-rw-r--r--community/tinc-pre/APKBUILD2
-rw-r--r--community/unison/APKBUILD2
-rw-r--r--community/unit/APKBUILD2
-rw-r--r--community/wiringpi/APKBUILD2
-rw-r--r--community/xpra/APKBUILD2
-rw-r--r--community/zstd/APKBUILD2
-rw-r--r--main/devicemaster-linux-vanilla/APKBUILD2
-rw-r--r--main/gnu-efi/APKBUILD2
-rw-r--r--main/hexchat/APKBUILD2
-rw-r--r--main/linux-rpi/APKBUILD2
-rw-r--r--main/raspberrypi-bootloader/APKBUILD2
-rw-r--r--main/raspberrypi/APKBUILD2
-rw-r--r--main/spl/APKBUILD2
-rw-r--r--main/u-boot/APKBUILD2
-rw-r--r--main/xen/APKBUILD2
-rw-r--r--main/zfs/APKBUILD2
-rw-r--r--testing/efibootmgr/APKBUILD2
-rw-r--r--testing/efivar/APKBUILD2
-rw-r--r--testing/evolution-data-server/APKBUILD2
-rw-r--r--testing/evolution/APKBUILD2
-rw-r--r--testing/ffcall/APKBUILD2
-rw-r--r--testing/filebeat/APKBUILD2
-rw-r--r--testing/flow/APKBUILD2
-rw-r--r--testing/fs-uae-launcher/APKBUILD2
-rw-r--r--testing/fs-uae/APKBUILD2
-rw-r--r--testing/gjs/APKBUILD2
-rw-r--r--testing/gnome-control-center/APKBUILD2
-rw-r--r--testing/gnome-session/APKBUILD2
-rw-r--r--testing/gnome-shell/APKBUILD2
-rw-r--r--testing/gnome-terminal/APKBUILD2
-rw-r--r--testing/grpc-java/APKBUILD2
-rw-r--r--testing/handbrake/APKBUILD2
-rw-r--r--testing/icingaweb2-module-businessprocess/APKBUILD2
-rw-r--r--testing/icingaweb2-module-fileshipper/APKBUILD2
-rw-r--r--testing/icingaweb2-module-generictts/APKBUILD2
-rw-r--r--testing/icingaweb2-module-pnp/APKBUILD2
-rw-r--r--testing/ipt-netflow-vanilla/APKBUILD2
-rw-r--r--testing/js_of_ocaml/APKBUILD2
-rw-r--r--testing/lazperf/APKBUILD2
-rw-r--r--testing/litespeed/APKBUILD2
-rw-r--r--testing/merlin/APKBUILD2
-rw-r--r--testing/metricbeat/APKBUILD2
-rw-r--r--testing/micropython/APKBUILD2
-rw-r--r--testing/mongo-c-driver/APKBUILD2
-rw-r--r--testing/mozjs-38/APKBUILD2
-rw-r--r--testing/nanomsg/APKBUILD2
-rw-r--r--testing/ndpi/APKBUILD2
-rw-r--r--testing/nqp/APKBUILD2
-rw-r--r--testing/numactl/APKBUILD2
-rw-r--r--testing/ocaml-biniou/APKBUILD2
-rw-r--r--testing/ocaml-camomile/APKBUILD2
-rw-r--r--testing/ocaml-cmdliner/APKBUILD2
-rw-r--r--testing/ocaml-cppo/APKBUILD2
-rw-r--r--testing/ocaml-csv/APKBUILD2
-rw-r--r--testing/ocaml-dtoa/APKBUILD2
-rw-r--r--testing/ocaml-easy-format/APKBUILD2
-rw-r--r--testing/ocaml-gen/APKBUILD2
-rw-r--r--testing/ocaml-labltk/APKBUILD2
-rw-r--r--testing/ocaml-lambda-term/APKBUILD2
-rw-r--r--testing/ocaml-lwt/APKBUILD2
-rw-r--r--testing/ocaml-lwt_log/APKBUILD2
-rw-r--r--testing/ocaml-markup/APKBUILD2
-rw-r--r--testing/ocaml-menhir/APKBUILD2
-rw-r--r--testing/ocaml-merlin-extend/APKBUILD2
-rw-r--r--testing/ocaml-migrate-parsetree/APKBUILD2
-rw-r--r--testing/ocaml-ounit/APKBUILD2
-rw-r--r--testing/ocaml-ppx_derivers/APKBUILD2
-rw-r--r--testing/ocaml-ppx_deriving/APKBUILD2
-rw-r--r--testing/ocaml-ppx_gen_rec/APKBUILD2
-rw-r--r--testing/ocaml-ppx_tools/APKBUILD2
-rw-r--r--testing/ocaml-ppx_tools_versioned/APKBUILD2
-rw-r--r--testing/ocaml-re/APKBUILD2
-rw-r--r--testing/ocaml-react/APKBUILD2
-rw-r--r--testing/ocaml-reactivedata/APKBUILD2
-rw-r--r--testing/ocaml-result/APKBUILD2
-rw-r--r--testing/ocaml-sedlex/APKBUILD2
-rw-r--r--testing/ocaml-topkg/APKBUILD2
-rw-r--r--testing/ocaml-tyxml/APKBUILD2
-rw-r--r--testing/ocaml-uchar/APKBUILD2
-rw-r--r--testing/ocaml-uutf/APKBUILD2
-rw-r--r--testing/ocaml-wtf8/APKBUILD2
-rw-r--r--testing/ocaml-yojson/APKBUILD2
-rw-r--r--testing/ocaml-zed/APKBUILD2
-rw-r--r--testing/ocamlclean/APKBUILD2
-rw-r--r--testing/ossec-hids/APKBUILD2
-rw-r--r--testing/php7-tideways_xhprof/APKBUILD2
-rw-r--r--testing/py-unicorn-hat/APKBUILD2
-rw-r--r--testing/rakudo/APKBUILD2
-rw-r--r--testing/reason/APKBUILD2
-rw-r--r--testing/reptyr/APKBUILD2
-rw-r--r--testing/simplesnap/APKBUILD2
-rw-r--r--testing/snapper/APKBUILD2
-rw-r--r--testing/syncthing-inotify/APKBUILD2
-rw-r--r--testing/thermald/APKBUILD2
-rw-r--r--testing/tsung/APKBUILD2
-rw-r--r--testing/upmpdcli/APKBUILD2
-rw-r--r--testing/utop/APKBUILD2
-rw-r--r--testing/veracrypt/APKBUILD2
-rw-r--r--testing/virglrenderer/APKBUILD2
-rw-r--r--testing/yara/APKBUILD2
126 files changed, 126 insertions, 126 deletions
diff --git a/community/bitcoin/APKBUILD b/community/bitcoin/APKBUILD
index 90be2be521..ae6e4c25b8 100644
--- a/community/bitcoin/APKBUILD
+++ b/community/bitcoin/APKBUILD
@@ -6,7 +6,7 @@ _ver=${pkgver/_/}
pkgrel=5
pkgdesc="Decentralized P2P electronic cash system"
url="https://www.bitcoin.org"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="MIT"
makedepends="autoconf automake libtool boost-dev libressl-dev db-dev miniupnpc-dev
qt5-qtbase-dev qt5-qttools-dev protobuf-dev libqrencode-dev libevent-dev chrpath"
diff --git a/community/chromium/APKBUILD b/community/chromium/APKBUILD
index 12850e1813..925ad98cac 100644
--- a/community/chromium/APKBUILD
+++ b/community/chromium/APKBUILD
@@ -5,7 +5,7 @@ pkgver=68.0.3440.106
pkgrel=0
pkgdesc="chromium web browser"
url="http://www.chromium.org/"
-arch="x86_64 aarch64 armhf"
+arch="x86_64 aarch64 armhf armv7"
license="BSD"
depends="xdg-utils"
depends_dev=""
diff --git a/community/domoticz/APKBUILD b/community/domoticz/APKBUILD
index 7b40e6288b..e9c2d608f3 100644
--- a/community/domoticz/APKBUILD
+++ b/community/domoticz/APKBUILD
@@ -5,7 +5,7 @@ pkgver=3.8153
pkgrel=2
pkgdesc="Open source Home Automation System"
url="http://www.domoticz.com/"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="GPL"
pkgusers="$pkgname"
pkggroups="$pkgname"
diff --git a/community/drawterm/APKBUILD b/community/drawterm/APKBUILD
index d18f3b0f68..f06a132b54 100644
--- a/community/drawterm/APKBUILD
+++ b/community/drawterm/APKBUILD
@@ -5,7 +5,7 @@ pkgver=20170119
pkgrel=2
pkgdesc="Connect to Plan 9 CPU servers from other operating systems"
url="http://drawterm.9front.org/"
-arch="all !armhf !aarch64 !s390x"
+arch="all !armhf !armv7 !aarch64 !s390x"
license="custom"
depends=""
options="!check"
diff --git a/community/dune/APKBUILD b/community/dune/APKBUILD
index f807d0b657..895855d879 100644
--- a/community/dune/APKBUILD
+++ b/community/dune/APKBUILD
@@ -7,7 +7,7 @@ _pkgver=1.0+beta20
pkgrel=0
pkgdesc="A composable build system for OCaml (formerly Jbuilder)"
url="https://github.com/ocaml/dune"
-arch="all !x86 !armhf !s390x" # limited by ocaml abuild
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml abuild
license="Apache-2.0"
checkdepends="bash"
makedepends="ocaml ocaml-findlib-dev"
diff --git a/community/gst-ffmpeg0.10/APKBUILD b/community/gst-ffmpeg0.10/APKBUILD
index d8a90c8f8c..d589ac466b 100644
--- a/community/gst-ffmpeg0.10/APKBUILD
+++ b/community/gst-ffmpeg0.10/APKBUILD
@@ -4,7 +4,7 @@ pkgver=0.10.13
pkgrel=2
pkgdesc="Gstreamer FFMpeg Plugin"
url="http://www.gstreamer.net"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="GPL"
makedepends="gstreamer0.10-dev gst-plugins-base0.10-dev orc-dev coreutils
orc-dev"
diff --git a/community/icinga2/APKBUILD b/community/icinga2/APKBUILD
index 70f4fb4b6a..10545d3963 100644
--- a/community/icinga2/APKBUILD
+++ b/community/icinga2/APKBUILD
@@ -5,7 +5,7 @@ pkgver=2.9.1
pkgrel=1
pkgdesc="An open source host, service and network monitoring program"
url="http://www.icinga.org"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="GPL"
depends="monitoring-plugins"
makedepends="$depends_dev cmake bison flex boost-dev yajl-dev
diff --git a/community/icingaweb2-module-director/APKBUILD b/community/icingaweb2-module-director/APKBUILD
index b5a3059cfb..6a07dc8b62 100644
--- a/community/icingaweb2-module-director/APKBUILD
+++ b/community/icingaweb2-module-director/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.4.3
pkgrel=1
pkgdesc="Configuration frontend for Icinga 2, integrated automation"
url="http://www.icinga.org"
-arch="noarch !armhf"
+arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2 ${_php}-curl"
diff --git a/community/icingaweb2/APKBUILD b/community/icingaweb2/APKBUILD
index 6361c981f9..769023e5f0 100644
--- a/community/icingaweb2/APKBUILD
+++ b/community/icingaweb2/APKBUILD
@@ -5,7 +5,7 @@ pkgver=2.6.1
pkgrel=0
pkgdesc="Web Interface for Icinga2"
url="http://www.icinga.org"
-arch="noarch !armhf"
+arch="noarch !armhf !armv7"
license="GPL"
_php=php7
depends="icinga2 $_php ${_php}-gd ${_php}-ldap ${_php}-intl ${_php}-pgsql
diff --git a/community/john/APKBUILD b/community/john/APKBUILD
index 9467b526da..c92dbcae88 100644
--- a/community/john/APKBUILD
+++ b/community/john/APKBUILD
@@ -7,7 +7,7 @@ _pkgrel=jumbo-1
pkgrel=10
pkgdesc="John the Ripper password cracker"
url="http://www.openwall.com/john"
-arch="x86_64 armhf ppc64le"
+arch="x86_64 armhf armv7 ppc64le"
license="GPL-2.0"
depends="nss"
options="!strip"
diff --git a/community/mruby/APKBUILD b/community/mruby/APKBUILD
index 53d2aa3c24..a9587a422a 100644
--- a/community/mruby/APKBUILD
+++ b/community/mruby/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.4.1
pkgrel=0
pkgdesc="Lightweight Ruby"
url="http://mruby.org"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="MIT"
depends=""
makedepends="$depends_dev bison ruby"
diff --git a/community/nnn/APKBUILD b/community/nnn/APKBUILD
index 552174e813..340b24066b 100644
--- a/community/nnn/APKBUILD
+++ b/community/nnn/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.9
pkgrel=0
pkgdesc="The missing terminal file browser for X"
url="https://github.com/jarun/nnn"
-arch="all !armhf" # armhf: fails to build
+arch="all !armhf !armv7" # armhf: fails to build
license="BSD-2-Clause"
makedepends="ncurses-dev readline-dev"
options="!check" # no tests provided and `nnn -v` requires tty
diff --git a/community/ocaml-camlp4/APKBUILD b/community/ocaml-camlp4/APKBUILD
index 37011e1006..7d9e1deec6 100644
--- a/community/ocaml-camlp4/APKBUILD
+++ b/community/ocaml-camlp4/APKBUILD
@@ -10,7 +10,7 @@ _ocamlver=${pkgver%.*}
pkgrel=1
pkgdesc="Caml preprocessor and pretty-printer"
url="https://github.com/ocaml/camlp4/releases"
-arch="all !x86 !armhf !s390x" # ocaml not avail on excluded platforms
+arch="all !x86 !armhf !armv7 !s390x" # ocaml not avail on excluded platforms
license="LGPL-2.0-or-later-WITH-linking-exception"
depends="ocaml-runtime=~$_ocamlver ocaml-ocamlbuild"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/community/ocaml-findlib/APKBUILD b/community/ocaml-findlib/APKBUILD
index be6706a012..f35df02723 100644
--- a/community/ocaml-findlib/APKBUILD
+++ b/community/ocaml-findlib/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.8.0
pkgrel=0
pkgdesc="OCaml package manager"
url="http://projects.camlcity.org/projects/findlib.html"
-arch="all !x86 !armhf !s390x" # limited by ocaml abuild
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml abuild
license="MIT"
depends="ocaml ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/community/ocaml-lablgtk/APKBUILD b/community/ocaml-lablgtk/APKBUILD
index c11830fa04..dfbf77907c 100644
--- a/community/ocaml-lablgtk/APKBUILD
+++ b/community/ocaml-lablgtk/APKBUILD
@@ -6,7 +6,7 @@ pkgver=2.18.6
pkgrel=0
pkgdesc="An OCaml interface to GTK+ 2.x"
url="http://lablgtk.forge.ocamlcore.org/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.1-only-WITH-linking-exception"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel
diff --git a/community/ocaml/APKBUILD b/community/ocaml/APKBUILD
index 3747b897a4..b69819c287 100644
--- a/community/ocaml/APKBUILD
+++ b/community/ocaml/APKBUILD
@@ -6,7 +6,7 @@ pkgver=4.06.1
pkgrel=2
pkgdesc="Main implementation of the Caml programming language"
url="http://ocaml.org/"
-arch="all !x86 !armhf !s390x"
+arch="all !x86 !armhf !armv7 !s390x"
license="LGPL-2.1-or-later-WITH-linking-exception"
depends="$pkgname-runtime=$pkgver-r$pkgrel gcc"
makedepends="gdbm-dev libc-dev ncurses-dev zlib-dev"
diff --git a/community/ocamlbuild/APKBUILD b/community/ocamlbuild/APKBUILD
index 7f599a1556..a7ca751544 100644
--- a/community/ocamlbuild/APKBUILD
+++ b/community/ocamlbuild/APKBUILD
@@ -6,7 +6,7 @@ pkgver=0.12.0
pkgrel=3
pkgdesc="Generic build tool with built-in rules for building OCaml library and programs"
url="https://github.com/ocaml/ocamlbuild"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.0-or-later-WITH-linking-exception"
checkdepends="ocaml-compiler-libs ocaml-findlib"
depends="ocaml-$pkgname=$pkgver-r$pkgrel cmd:tput"
diff --git a/community/omxplayer/APKBUILD b/community/omxplayer/APKBUILD
index 8e2390c75b..bb9a994aee 100644
--- a/community/omxplayer/APKBUILD
+++ b/community/omxplayer/APKBUILD
@@ -5,7 +5,7 @@ _commitid=96800576209bbf02939a3d71dec91ec1c1da586b
pkgrel=0
pkgdesc="Commandline OMX player for Raspberry Pi"
url="https://github.com/popcornmix/omxplayer"
-arch="armhf"
+arch="armhf armv7"
license="GPL-2.0"
depends="ttf-freefont"
makedepends="linux-headers raspberrypi-dev ffmpeg-dev pcre-dev
diff --git a/community/opam/APKBUILD b/community/opam/APKBUILD
index 7c7f52982e..7306f66851 100644
--- a/community/opam/APKBUILD
+++ b/community/opam/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.2.2
pkgrel=4
pkgdesc="OCaml Package Manager"
url="https://opam.ocaml.org"
-arch="all !x86 !armhf !s390x" # ocaml not avail on excluded platforms
+arch="all !x86 !armhf !armv7 !s390x" # ocaml not avail on excluded platforms
license="LGPL-3.0"
depends="ocaml ocaml-camlp4 curl tar unzip rsync aspcud patch"
makedepends="ocaml-compiler-libs ocaml-camlp4-dev"
diff --git a/community/py-gpiozero/APKBUILD b/community/py-gpiozero/APKBUILD
index 5d9103ae63..12a48df1ae 100644
--- a/community/py-gpiozero/APKBUILD
+++ b/community/py-gpiozero/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.1.0
pkgrel=0
pkgdesc="A simple interface to everyday GPIO components used with Raspberry Pi"
url="http://gpiozero.readthedocs.org"
-arch="armhf"
+arch="armhf armv7"
license="BSD-3-Clause"
depends="python2"
depends_dev=""
diff --git a/community/py-rpigpio/APKBUILD b/community/py-rpigpio/APKBUILD
index a50e864f93..619bf907cb 100644
--- a/community/py-rpigpio/APKBUILD
+++ b/community/py-rpigpio/APKBUILD
@@ -6,7 +6,7 @@ pkgver=0.6.3
pkgrel=1
pkgdesc="This package provides a class to control the GPIO on a Raspberry Pi."
url="https://pypi.python.org/pypi/RPi.GPIO"
-arch="armhf"
+arch="armhf armv7"
license="MIT"
makedepends="python2-dev python3-dev py-setuptools"
subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
diff --git a/community/py-sensehat/APKBUILD b/community/py-sensehat/APKBUILD
index 343bc73f27..1d0cf3d6a9 100644
--- a/community/py-sensehat/APKBUILD
+++ b/community/py-sensehat/APKBUILD
@@ -6,7 +6,7 @@ pkgver=2.2.0
pkgrel=0
pkgdesc="Python module to control the Raspberry Pi Sense HAT"
url="https://www.raspberrypi.org/products/sense-hat/"
-arch="armhf"
+arch="armhf armv7"
license="BSD-3-Clause"
depends=""
# Package doesn't provide tests
diff --git a/community/rspamd/APKBUILD b/community/rspamd/APKBUILD
index 21326aff06..545c62b78a 100644
--- a/community/rspamd/APKBUILD
+++ b/community/rspamd/APKBUILD
@@ -8,7 +8,7 @@ pkgver=1.7.9
pkgrel=0
pkgdesc="Fast, free and open-source spam filtering system"
url="https://rspamd.com"
-arch="x86_64 x86 armhf ppc64le"
+arch="x86_64 x86 armhf armv7 ppc64le"
license="Apache-2.0 BSD-1-Clause BSD-2-Clause BSD-3-Clause CC0 LGPL-2.1-or-later
LGPL-3.0-only MIT Zlib"
options="!check"
diff --git a/community/shotwell/APKBUILD b/community/shotwell/APKBUILD
index 4d5c5aa040..f1b42926b2 100644
--- a/community/shotwell/APKBUILD
+++ b/community/shotwell/APKBUILD
@@ -4,7 +4,7 @@ pkgver=0.28.2
pkgrel=0
pkgdesc="A digital photo organizer designed for the GNOME desktop environment"
url="https://wiki.gnome.org/Apps/Shotwell"
-arch="all !armhf !aarch64"
+arch="all !armhf !armv7 !aarch64"
license="CC-BY-SA-3.0 LGPL-2.1-or-later"
install="shotwell.post-upgrade shotwell.post-install shotwell.pre-deinstall"
subpackages="$pkgname-lang $pkgname-doc"
diff --git a/community/syncthing/APKBUILD b/community/syncthing/APKBUILD
index 4a9036817a..ee99a94fb3 100644
--- a/community/syncthing/APKBUILD
+++ b/community/syncthing/APKBUILD
@@ -7,7 +7,7 @@ pkgver=0.14.50
pkgrel=0
pkgdesc="Open Source Continuous File Synchronization"
url="https://syncthing.net/"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="MPL-2.0"
pkgusers="$pkgname"
pkggroups="$pkgname"
diff --git a/community/terraform/APKBUILD b/community/terraform/APKBUILD
index 4bfa6ec895..2ab517d6cc 100644
--- a/community/terraform/APKBUILD
+++ b/community/terraform/APKBUILD
@@ -7,7 +7,7 @@ pkgver=0.11.8
pkgrel=0
pkgdesc="Building, changing and combining infrastructure safely and efficiently"
url="https://www.terraform.io/"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="MPL-2.0"
makedepends="go"
source="${pkgname}-${pkgver}.tar.gz::https://github.com/hashicorp/terraform/archive/v$pkgver.tar.gz"
diff --git a/community/tinc-pre/APKBUILD b/community/tinc-pre/APKBUILD
index 17f27e21b3..313dde9e4f 100644
--- a/community/tinc-pre/APKBUILD
+++ b/community/tinc-pre/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="Virtual Private Network (VPN) daemon (pre-release)"
url="http://tinc-vpn.org/"
# s390x: tests hang
# armhf: tests fail
-arch="all !s390x !armhf"
+arch="all !s390x !armhf !armv7"
license="GPL-2.0"
makedepends="linux-headers ncurses-dev readline-dev
zlib-dev lzo-dev libressl-dev texinfo
diff --git a/community/unison/APKBUILD b/community/unison/APKBUILD
index a79acae88d..970e9ec147 100644
--- a/community/unison/APKBUILD
+++ b/community/unison/APKBUILD
@@ -10,7 +10,7 @@ pkgdesc="Efficient file-synchronization tool"
url="https://www.cis.upenn.edu/~bcpierce/unison/"
# ocaml is not built for x86, armhf, s390x
# ocaml-lablgtk is not built for aarch64
-arch="all !x86 !armhf !aarch64 !s390x"
+arch="all !x86 !armhf !armv7 !aarch64 !s390x"
license="GPL-3.0+"
makedepends="ocaml ocaml-lablgtk-dev linux-headers emacs-nox bash"
subpackages="$pkgname-gui"
diff --git a/community/unit/APKBUILD b/community/unit/APKBUILD
index 92308b52f9..2947e6359e 100644
--- a/community/unit/APKBUILD
+++ b/community/unit/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="NGINX Unit is a dynamic web application server"
url="https://unit.nginx.org/"
# armhf, x86: tests fail (https://github.com/nginx/unit/issues/118)
# s390x: tests fail
-arch="all !armhf !x86 !s390x"
+arch="all !armhf !armv7 !x86 !s390x"
license="Apache-2.0"
_phpver=7
makedepends="perl-dev php$_phpver-dev php$_phpver-embed python3-dev ruby-dev"
diff --git a/community/wiringpi/APKBUILD b/community/wiringpi/APKBUILD
index 897985d400..128777b50b 100644
--- a/community/wiringpi/APKBUILD
+++ b/community/wiringpi/APKBUILD
@@ -5,7 +5,7 @@ _commitid=5edd177
pkgrel=0
pkgdesc="command line interface for Raspberry Pi gpio"
url="http://wiringpi.com/the-gpio-utility/"
-arch="armhf"
+arch="armhf armv7"
license="LGPL-3.0"
depends=""
makedepends="linux-headers"
diff --git a/community/xpra/APKBUILD b/community/xpra/APKBUILD
index 01576355fb..741c492b45 100644
--- a/community/xpra/APKBUILD
+++ b/community/xpra/APKBUILD
@@ -6,7 +6,7 @@ pkgrel=1
pkgdesc="Xpra is 'screen for X' & allows you to run X programs, usually on a remote host over SSH or encrypted tcp"
url="http://xpra.org"
# !armhf: fails to build
-arch="all !armhf"
+arch="all !armhf !armv7"
license="GPL-2.0-or-later"
depends="py-gobject py-gtk py-gtkglext py-imaging py-opencl>=2018.1.1-r1 py-rencode py2-cryptography
py2-lz4 py2-numpy py2-pillow py2-xxhash setxkbmap xf86-video-dummy xorg-server xvfb"
diff --git a/community/zstd/APKBUILD b/community/zstd/APKBUILD
index 1307ae51b4..be2f1a1194 100644
--- a/community/zstd/APKBUILD
+++ b/community/zstd/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.3.5
pkgrel=0
pkgdesc="Zstandard - Fast real-time compression algorithm"
url="http://www.zstd.net"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="BSD-3-Clause GPL-2.0-or-later"
checkdepends="file"
subpackages="$pkgname-static $pkgname-libs $pkgname-dev $pkgname-doc"
diff --git a/main/devicemaster-linux-vanilla/APKBUILD b/main/devicemaster-linux-vanilla/APKBUILD
index b96d1f2bbb..9dde31cf60 100644
--- a/main/devicemaster-linux-vanilla/APKBUILD
+++ b/main/devicemaster-linux-vanilla/APKBUILD
@@ -19,7 +19,7 @@ pkgrel=$(( $_krel + $_rel ))
pkgdesc="NS-Link Device Drivers $_ver for $_kpkg"
url="http://www.comtrol.com/resources/product-resources-white-papers/ns-link-device-drivers"
-arch="x86 x86_64 armhf"
+arch="x86 x86_64 armhf armv7"
license="GPL-2.0"
depends="$_kpkg=$_kpkgver"
makedepends="$_kpkg-dev=$_kpkgver linux-headers"
diff --git a/main/gnu-efi/APKBUILD b/main/gnu-efi/APKBUILD
index 72e20aa927..67f7096bc6 100644
--- a/main/gnu-efi/APKBUILD
+++ b/main/gnu-efi/APKBUILD
@@ -4,7 +4,7 @@ pkgver=3.0.4
pkgrel=1
pkgdesc="Development Libraries and headers for EFI"
url="ftp://ftp.hpl.hp.com/pub/linux-ia64"
-arch="all !armhf !ppc64le !s390x"
+arch="all !armhf !armv7 !ppc64le !s390x"
license="BSD"
depends=""
depends_dev=""
diff --git a/main/hexchat/APKBUILD b/main/hexchat/APKBUILD
index 90c9d1bf1c..a5e18c8a32 100644
--- a/main/hexchat/APKBUILD
+++ b/main/hexchat/APKBUILD
@@ -4,7 +4,7 @@ pkgver=2.14.1
pkgrel=1
pkgdesc="Graphical IRC client based on XChat"
url="https://hexchat.github.io"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="GPL-2.0-or-later"
depends=""
makedepends="dbus-glib-dev gtk+2.0-dev iso-codes libnotify-dev libproxy-dev
diff --git a/main/linux-rpi/APKBUILD b/main/linux-rpi/APKBUILD
index 8a3cd47e40..8a5369fdf2 100644
--- a/main/linux-rpi/APKBUILD
+++ b/main/linux-rpi/APKBUILD
@@ -26,7 +26,7 @@ source="https://kernel.org/pub/linux/kernel/v4.x/linux-$_kernver.tar.xz
config-changes-rpi2.armhf
"
subpackages=""
-arch="armhf aarch64"
+arch="armhf armv7 aarch64"
license="GPL-2.0"
_flavors=
for _i in $source; do
diff --git a/main/raspberrypi-bootloader/APKBUILD b/main/raspberrypi-bootloader/APKBUILD
index c4857e52cc..08be9d7194 100644
--- a/main/raspberrypi-bootloader/APKBUILD
+++ b/main/raspberrypi-bootloader/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.20180417
pkgrel=0
pkgdesc="Bootloader files for the Raspberry Pi"
url=https://github.com/raspberrypi/firmware
-arch="armhf aarch64"
+arch="armhf armv7 aarch64"
license="custom"
depends=""
makedepends=""
diff --git a/main/raspberrypi/APKBUILD b/main/raspberrypi/APKBUILD
index dae08e69df..437024ff39 100644
--- a/main/raspberrypi/APKBUILD
+++ b/main/raspberrypi/APKBUILD
@@ -5,7 +5,7 @@ _commitid=d491937e8d2f5015c418cbc0c2793020aed4c8e5
pkgrel=0
pkgdesc="Raspberry Pi support tools"
url="https://github.com/raspberrypi/userland"
-arch="armhf aarch64"
+arch="armhf armv7 aarch64"
license="BSD"
depends=""
depends_dev="linux-headers raspberrypi-libs"
diff --git a/main/spl/APKBUILD b/main/spl/APKBUILD
index 194578bc3f..07192290ef 100644
--- a/main/spl/APKBUILD
+++ b/main/spl/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.7.8
pkgrel=0
pkgdesc="Solaris Porting Layer (userland)"
url="http://zfsonlinux.org"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="GPL-2.0-or-later"
options="!check" # No test suite
makedepends="automake autoconf libtool linux-headers"
diff --git a/main/u-boot/APKBUILD b/main/u-boot/APKBUILD
index bf99cc45cb..69dd324c00 100644
--- a/main/u-boot/APKBUILD
+++ b/main/u-boot/APKBUILD
@@ -7,7 +7,7 @@ pkgver=2018.05
pkgrel=2
pkgdesc="u-boot bootloader common files"
url="http://www.denx.de/wiki/U-Boot/"
-arch="armhf aarch64"
+arch="armhf armv7 aarch64"
license="GPL-2.0"
depends=""
depends_dev=""
diff --git a/main/xen/APKBUILD b/main/xen/APKBUILD
index f6e0504afc..6c453d95cc 100644
--- a/main/xen/APKBUILD
+++ b/main/xen/APKBUILD
@@ -6,7 +6,7 @@ pkgver=4.11.0
pkgrel=0
pkgdesc="Xen hypervisor"
url="http://www.xen.org/"
-arch="x86_64 armhf aarch64"
+arch="x86_64 armhf armv7 aarch64"
license="GPL"
depends="bash iproute2 logrotate"
depends_dev="libressl-dev python2-dev e2fsprogs-dev gettext zlib-dev ncurses-dev
diff --git a/main/zfs/APKBUILD b/main/zfs/APKBUILD
index b32327b4f7..db9ffed3d3 100644
--- a/main/zfs/APKBUILD
+++ b/main/zfs/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.7.8
pkgrel=0
pkgdesc="ZFS for Linux"
url="http://zfsonlinux.org"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="CDDL"
depends_dev="glib-dev e2fsprogs-dev util-linux-dev libtirpc-dev attr-dev"
makedepends="$depends_dev automake autoconf libtool linux-headers"
diff --git a/testing/efibootmgr/APKBUILD b/testing/efibootmgr/APKBUILD
index 1a5bbaa7fd..279d28e263 100644
--- a/testing/efibootmgr/APKBUILD
+++ b/testing/efibootmgr/APKBUILD
@@ -5,7 +5,7 @@ pkgver=16
pkgrel=0
pkgdesc="Linux user-space application to modify the Intel Extensible Firmware Interface"
url="https://github.com/rhboot/efibootmgr"
-arch="x86 x86_64 armhf aarch64"
+arch="x86 x86_64 armhf armv7 aarch64"
license="GPL-2.0"
depends=""
makedepends="efivar-dev linux-headers popt-dev gettext-dev"
diff --git a/testing/efivar/APKBUILD b/testing/efivar/APKBUILD
index 14aa713a8f..dc26509093 100644
--- a/testing/efivar/APKBUILD
+++ b/testing/efivar/APKBUILD
@@ -5,7 +5,7 @@ pkgver=36
pkgrel=0
pkgdesc="Tools and library to manipulate EFI variables"
url="https://github.com/rhboot/efivar"
-arch="x86 x86_64 armhf aarch64 ppc64le"
+arch="x86 x86_64 armhf armv7 aarch64 ppc64le"
license="LGPL-2.1"
depends=""
depends_dev=""
diff --git a/testing/evolution-data-server/APKBUILD b/testing/evolution-data-server/APKBUILD
index b47e74342c..8668f0ba58 100644
--- a/testing/evolution-data-server/APKBUILD
+++ b/testing/evolution-data-server/APKBUILD
@@ -5,7 +5,7 @@ pkgver=3.26.0
pkgrel=1
pkgdesc="data server for evolution"
url="http://projects.gnome.org/evolution"
-arch="x86_64 x86 ppc64le aarch64 armhf"
+arch="x86_64 x86 ppc64le aarch64 armhf armv7"
license="GPL"
options="suid !check"
depends_dev="libgdata-dev db-dev gcr-dev icu-dev"
diff --git a/testing/evolution/APKBUILD b/testing/evolution/APKBUILD
index 3c9001895b..a7112276ac 100644
--- a/testing/evolution/APKBUILD
+++ b/testing/evolution/APKBUILD
@@ -6,7 +6,7 @@ pkgrel=0
pkgdesc="evolution mail client"
url="http://projects.gnome.org/evolution"
# limited by webkit2gtk
-arch="x86 x86_64 ppc64le aarch64 armhf"
+arch="x86 x86_64 ppc64le aarch64 armhf armv7"
license="GPL"
depends="highlight gsettings-desktop-schemas"
depends_dev="itstool libxml2-dev gcr-dev enchant-dev libcanberra-dev
diff --git a/testing/ffcall/APKBUILD b/testing/ffcall/APKBUILD
index 2d2c353774..5f1ec050d7 100644
--- a/testing/ffcall/APKBUILD
+++ b/testing/ffcall/APKBUILD
@@ -5,7 +5,7 @@ pkgver=2.1
pkgrel=0
pkgdesc="C library for implementing foreign function calls in embedded interpreters"
url="http://www.gnu.org/software/libffcall"
-arch="all !x86 !armhf"
+arch="all !x86 !armhf !armv7"
license="GPL-2.0-or-later"
depends=""
depends_dev=""
diff --git a/testing/filebeat/APKBUILD b/testing/filebeat/APKBUILD
index 809ff27470..af932e19a5 100644
--- a/testing/filebeat/APKBUILD
+++ b/testing/filebeat/APKBUILD
@@ -6,7 +6,7 @@ pkgrel=0
pkgdesc="Lightweight Shipper for Logs"
pkgusers="root"
url="https://www.elastic.co/products/beats"
-arch="all !armhf !aarch64"
+arch="all !armhf !armv7 !aarch64"
license="Apache-2.0"
depends=""
makedepends="go"
diff --git a/testing/flow/APKBUILD b/testing/flow/APKBUILD
index 233f352469..96e74d09f4 100644
--- a/testing/flow/APKBUILD
+++ b/testing/flow/APKBUILD
@@ -6,7 +6,7 @@ pkgrel=0
pkgdesc="A static typechecker for JavaScript"
url="https://flow.org"
# x86, armhf, s390x: limited by ocaml aport
-arch="all !x86 !armhf !s390x"
+arch="all !x86 !armhf !armv7 !s390x"
license="MIT"
checkdepends="bash diffutils nodejs yarn"
makedepends="
diff --git a/testing/fs-uae-launcher/APKBUILD b/testing/fs-uae-launcher/APKBUILD
index dd2ec9f158..e7c326eda3 100644
--- a/testing/fs-uae-launcher/APKBUILD
+++ b/testing/fs-uae-launcher/APKBUILD
@@ -4,7 +4,7 @@ pkgver=2.8.4
pkgrel=0
pkgdesc="FS-UAE emulator launcher."
url="https://fs-uae.net/launcher"
-arch="noarch !armhf !aarch64 !s390x" # fs-uae not avail
+arch="noarch !armhf !armv7 !aarch64 !s390x" # fs-uae not avail
license="GPL-2.0-only"
depends="fs-uae~$pkgver py3-qt5"
makedepends="py3-setuptools gettext"
diff --git a/testing/fs-uae/APKBUILD b/testing/fs-uae/APKBUILD
index 275cd03522..159a709034 100644
--- a/testing/fs-uae/APKBUILD
+++ b/testing/fs-uae/APKBUILD
@@ -6,7 +6,7 @@ pkgver=2.8.4
pkgrel=1
pkgdesc="Amiga emulator."
url="https://fs-uae.net/"
-arch="all !armhf !aarch64 !s390x" # --enable-jit not supported for these arches
+arch="all !armhf !armv7 !aarch64 !s390x" # --enable-jit not supported for these arches
license="GPL-2.0-only"
makedepends="zip clang-dev sdl2-dev libpng-dev libx11-dev libxi-dev openal-soft-dev linux-headers libmpeg2-dev glib-dev"
subpackages="$pkgname-lang"
diff --git a/testing/gjs/APKBUILD b/testing/gjs/APKBUILD
index 3199d04b8b..1ad2baf3f8 100644
--- a/testing/gjs/APKBUILD
+++ b/testing/gjs/APKBUILD
@@ -4,7 +4,7 @@ pkgver=1.48.3
pkgrel=0
pkgdesc="GNOME javascript library"
url="https://wiki.gnome.org/Projects/Gjs"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="LGPL"
depends=""
depends_dev="gobject-introspection-dev mozjs-38-dev"
diff --git a/testing/gnome-control-center/APKBUILD b/testing/gnome-control-center/APKBUILD
index 84fcb9349c..c4f4207469 100644
--- a/testing/gnome-control-center/APKBUILD
+++ b/testing/gnome-control-center/APKBUILD
@@ -5,7 +5,7 @@ pkgrel=1
pkgdesc="GNOME control center"
url="http://www.gnome.org/"
# limited by gnome-online-accounts
-arch="all !armhf !s390x"
+arch="all !armhf !armv7 !s390x"
license="GPL"
makedepends="clutter-dev clutter-gtk-dev
diff --git a/testing/gnome-session/APKBUILD b/testing/gnome-session/APKBUILD
index f754c785d0..aa7ff6c4ad 100644
--- a/testing/gnome-session/APKBUILD
+++ b/testing/gnome-session/APKBUILD
@@ -4,7 +4,7 @@ pkgver=3.26.0
pkgrel=0
pkgdesc="GNOME session manager"
url="http://www.gnome.org/"
-arch="all !aarch64 !armhf !s390x"
+arch="all !aarch64 !armhf !armv7 !s390x"
license="GPL"
depends="gnome-shell"
makedepends="gnome-settings-daemon-dev libsm-dev
diff --git a/testing/gnome-shell/APKBUILD b/testing/gnome-shell/APKBUILD
index 7b0845f805..e75e703c9c 100644
--- a/testing/gnome-shell/APKBUILD
+++ b/testing/gnome-shell/APKBUILD
@@ -4,7 +4,7 @@ pkgver=3.26.0
pkgrel=0
pkgdesc="GNOME shell"
url="https://wiki.gnome.org/Projects/GnomeShell"
-arch="all !aarch64 !armhf !s390x"
+arch="all !aarch64 !armhf !armv7 !s390x"
license="GPL"
depends="accountsservice caribou gdm"
makedepends="gnome-desktop-dev
diff --git a/testing/gnome-terminal/APKBUILD b/testing/gnome-terminal/APKBUILD
index 628b6f2ca0..352a6dfe79 100644
--- a/testing/gnome-terminal/APKBUILD
+++ b/testing/gnome-terminal/APKBUILD
@@ -5,7 +5,7 @@ pkgrel=0
pkgdesc="GNOME terminal client"
url="http://wiki.gnome.org/Apps/Terminal"
# limited by gnome-shell
-arch="all !armhf !aarch64 !s390x"
+arch="all !armhf !armv7 !aarch64 !s390x"
license="GPL"
depends_dev="gnome-desktop-dev vte3-dev dconf-dev gconf-dev nautilus-dev"
makedepends="$depends_dev gnome-shell itstool libxml2-utils vala desktop-file-utils"
diff --git a/testing/grpc-java/APKBUILD b/testing/grpc-java/APKBUILD
index cf08c35532..a48d410612 100644
--- a/testing/grpc-java/APKBUILD
+++ b/testing/grpc-java/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.14.0
pkgrel=0
pkgdesc="The Java gRPC implementation. HTTP/2 based RPC"
url="https://github.com/grpc/grpc-java"
-arch="all !aarch64 !armhf !s390x" # fails to build on aarch64 and armhf for some strange reason
+arch="all !aarch64 !armhf !armv7 !s390x" # fails to build on aarch64 and armhf for some strange reason
license="Apache2"
depends="openjdk8-jre"
makedepends="openjdk8 protobuf-dev"
diff --git a/testing/handbrake/APKBUILD b/testing/handbrake/APKBUILD
index d833435069..ddedd3282e 100644
--- a/testing/handbrake/APKBUILD
+++ b/testing/handbrake/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.0.7
pkgrel=7
pkgdesc="Handbrake video transcoder"
url="https://handbrake.fr"
-arch="x86_64 x86 armhf ppc64le"
+arch="x86_64 x86 armhf armv7 ppc64le"
license="GPL-2.0"
makedepends="yasm autoconf libtool zlib-dev libbz2 libogg-dev libtheora-dev
libvorbis-dev libsamplerate-dev fribidi-dev freetype-dev
diff --git a/testing/icingaweb2-module-businessprocess/APKBUILD b/testing/icingaweb2-module-businessprocess/APKBUILD
index fe1bf8eab6..39e434d3c4 100644
--- a/testing/icingaweb2-module-businessprocess/APKBUILD
+++ b/testing/icingaweb2-module-businessprocess/APKBUILD
@@ -6,7 +6,7 @@ pkgver=2.1.0
pkgrel=1
pkgdesc="Manage Business Processes in Icinga Web 2"
url="http://www.icinga.org"
-arch="noarch !armhf"
+arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2-module-director"
diff --git a/testing/icingaweb2-module-fileshipper/APKBUILD b/testing/icingaweb2-module-fileshipper/APKBUILD
index 6288c20da8..7ee2b6fbd0 100644
--- a/testing/icingaweb2-module-fileshipper/APKBUILD
+++ b/testing/icingaweb2-module-fileshipper/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.0.0
pkgrel=1
pkgdesc="Provide CSV, JSON, XML and YAML files as an Import Source for the Icinga Director"
url="http://www.icinga.org"
-arch="noarch !armhf"
+arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2-module-director ${_php}-xml"
diff --git a/testing/icingaweb2-module-generictts/APKBUILD b/testing/icingaweb2-module-generictts/APKBUILD
index 9a59b2ea38..86734a760e 100644
--- a/testing/icingaweb2-module-generictts/APKBUILD
+++ b/testing/icingaweb2-module-generictts/APKBUILD
@@ -6,7 +6,7 @@ pkgver=2.0.0
pkgrel=1
pkgdesc="Generic ticket system integration into Icinga web 2"
url="http://www.icinga.org"
-arch="noarch !armhf"
+arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2-module-director"
diff --git a/testing/icingaweb2-module-pnp/APKBUILD b/testing/icingaweb2-module-pnp/APKBUILD
index cabf4ceaf4..84eb5665f2 100644
--- a/testing/icingaweb2-module-pnp/APKBUILD
+++ b/testing/icingaweb2-module-pnp/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.1.0
pkgrel=0
pkgdesc="Integrate PNP graphs into Icinga Web 2"
url="http://www.icinga.org"
-arch="noarch !armhf"
+arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2-module-director"
diff --git a/testing/ipt-netflow-vanilla/APKBUILD b/testing/ipt-netflow-vanilla/APKBUILD
index 0df52f224d..5872a57d70 100644
--- a/testing/ipt-netflow-vanilla/APKBUILD
+++ b/testing/ipt-netflow-vanilla/APKBUILD
@@ -19,7 +19,7 @@ pkgrel=$(( $_krel + $_rel ))
pkgdesc="Linux kernel netflow sensor module"
url="http://ipt-netflow.sourceforge.net/"
-arch="x86 x86_64 armhf"
+arch="x86 x86_64 armhf armv7"
license="GPL-3.0-or-later"
depends="$_kpkg=$_kpkgver"
makedepends="$_kpkg-dev=$_kpkgver iptables-dev bash"
diff --git a/testing/js_of_ocaml/APKBUILD b/testing/js_of_ocaml/APKBUILD
index 3c6b50ad86..892c507eeb 100644
--- a/testing/js_of_ocaml/APKBUILD
+++ b/testing/js_of_ocaml/APKBUILD
@@ -6,7 +6,7 @@ pkgver=3.1.0
pkgrel=3
pkgdesc="Compiler from OCaml to Javascript"
url="http://ocsigen.org/js_of_ocaml/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.0-or-later"
depends="
$pkgname-compiler=$pkgver-r$pkgrel
diff --git a/testing/lazperf/APKBUILD b/testing/lazperf/APKBUILD
index ab16aa7564..ac8b56d399 100644
--- a/testing/lazperf/APKBUILD
+++ b/testing/lazperf/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.2.0
pkgrel=0
pkgdesc="Alternative LAZ implementation for C++ and JavaScript"
url="https://github.com/hobu/laz-perf"
-arch="all !armhf !s390x" # armhf: io_test segfaults
+arch="all !armhf !armv7 !s390x" # armhf: io_test segfaults
license="LGPL-2.0-or-later"
makedepends="cmake"
install=""
diff --git a/testing/litespeed/APKBUILD b/testing/litespeed/APKBUILD
index 063214e928..bd45c6541f 100644
--- a/testing/litespeed/APKBUILD
+++ b/testing/litespeed/APKBUILD
@@ -8,7 +8,7 @@ _pkghome=var/lib/$pkgname
_php=php7
pkgdesc="High-performance, lightweight, open source HTTP server"
url="https://open.litespeedtech.com"
-arch="x86 x86_64 armhf"
+arch="x86 x86_64 armhf armv7"
license="GPL-3.0"
pkgusers=litespeed
pkggroups=litespeed
diff --git a/testing/merlin/APKBUILD b/testing/merlin/APKBUILD
index 93a63497b7..88f14948cd 100644
--- a/testing/merlin/APKBUILD
+++ b/testing/merlin/APKBUILD
@@ -5,7 +5,7 @@ pkgver=3.0.5
pkgrel=0
pkgdesc="Context sensitive completion for OCaml"
url="https://ocaml.github.io/merlin/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml ocaml-findlib"
makedepends="
diff --git a/testing/metricbeat/APKBUILD b/testing/metricbeat/APKBUILD
index abf6b36006..5670b8aee0 100644
--- a/testing/metricbeat/APKBUILD
+++ b/testing/metricbeat/APKBUILD
@@ -6,7 +6,7 @@ pkgrel=0
pkgdesc="MetricBeat - Lightweight shipper for system and service statistics"
pkgusers="root"
url="https://www.elastic.co/products/beats"
-arch="all !aarch64 !armhf"
+arch="all !aarch64 !armhf !armv7"
license="ASL 2.0"
depends=""
makedepends="go"
diff --git a/testing/micropython/APKBUILD b/testing/micropython/APKBUILD
index a92446d628..81c041292b 100644
--- a/testing/micropython/APKBUILD
+++ b/testing/micropython/APKBUILD
@@ -7,7 +7,7 @@ pkgdesc="A lean and efficient Python implementation for MCUs and constrained sys
url="http://www.micropython.org/"
# ../py/persistentcode.c:397:2: error: #error mp_raw_code_save_file not implemented for this platform
-arch="x86 x86_64 armhf !ppc64le"
+arch="x86 x86_64 armhf armv7 !ppc64le"
license="MIT"
depends=""
diff --git a/testing/mongo-c-driver/APKBUILD b/testing/mongo-c-driver/APKBUILD
index 56ed6d7006..934320f74b 100644
--- a/testing/mongo-c-driver/APKBUILD
+++ b/testing/mongo-c-driver/APKBUILD
@@ -4,7 +4,7 @@ pkgver=1.9.3
pkgrel=1
pkgdesc="Client library written in C for MongoDB"
url="https://github.com/mongodb/mongo-c-driver"
-arch="all !x86 !armhf" # testsuite fails on x86 and armhf
+arch="all !x86 !armhf !armv7" # testsuite fails on x86 and armhf
license="Apache-2.0"
depends_dev="libressl-dev snappy-dev zlib-dev"
makedepends="$depends_dev autoconf automake libbson-dev libtool py3-sphinx"
diff --git a/testing/mozjs-38/APKBUILD b/testing/mozjs-38/APKBUILD
index c4061983ae..dd9b93c8ce 100644
--- a/testing/mozjs-38/APKBUILD
+++ b/testing/mozjs-38/APKBUILD
@@ -4,7 +4,7 @@ pkgver=38.8.0
pkgrel=5
pkgdesc="standalone mozilla javascript engine"
url="https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey/Releases/38"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="LGPL"
depends=""
depends_dev="icu-dev nspr-dev libffi-dev readline-dev"
diff --git a/testing/nanomsg/APKBUILD b/testing/nanomsg/APKBUILD
index 74f63c4242..f9945b0bcd 100644
--- a/testing/nanomsg/APKBUILD
+++ b/testing/nanomsg/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.1.4
pkgrel=0
pkgdesc="Socket library that provides several common communication patterns"
url="http://nanomsg.org"
-arch="all !armhf" # armhf: segfaults in 2 tests
+arch="all !armhf !armv7" # armhf: segfaults in 2 tests
license="MIT"
depends_dev="asciidoctor xmlto"
makedepends="$depends_dev cmake"
diff --git a/testing/ndpi/APKBUILD b/testing/ndpi/APKBUILD
index 4fe219f836..80553de381 100644
--- a/testing/ndpi/APKBUILD
+++ b/testing/ndpi/APKBUILD
@@ -7,7 +7,7 @@ pkgdesc="Open Source Deep Packet Inspection Software Toolkit"
url="https://github.com/ntop/nDPI"
# armhf test fail without apparent cause
# s390x test hangs
-arch="all !armhf !s390x"
+arch="all !armhf !armv7 !s390x"
license="GPL-3.0"
makedepends="autoconf automake libpcap-dev libtool"
subpackages="$pkgname-dev"
diff --git a/testing/nqp/APKBUILD b/testing/nqp/APKBUILD
index b7ef556768..dffb10884a 100644
--- a/testing/nqp/APKBUILD
+++ b/testing/nqp/APKBUILD
@@ -5,7 +5,7 @@ pkgver=2018.08
pkgrel=0
pkgdesc="Not Quite Perl"
url="https://github.com/perl6/nqp"
-arch="all !x86 !armhf"
+arch="all !x86 !armhf !armv7"
options="!archcheck" # Arch dependencies are embedded
license="Artistic-2.0"
depends="moarvm"
diff --git a/testing/numactl/APKBUILD b/testing/numactl/APKBUILD
index 21b0d04286..c991384689 100644
--- a/testing/numactl/APKBUILD
+++ b/testing/numactl/APKBUILD
@@ -5,7 +5,7 @@ pkgrel=3
pkgdesc="Simple NUMA policy support"
url="https://github.com/numactl/numactl"
# ARM lacks the __NR_migrate_pages syscall
-arch="all !armhf"
+arch="all !armhf !armv7"
license="GPL-2.0 LGPL-2.0"
makedepends="autoconf automake libtool linux-headers"
subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
diff --git a/testing/ocaml-biniou/APKBUILD b/testing/ocaml-biniou/APKBUILD
index 8ebcc6a97c..1587cbd745 100644
--- a/testing/ocaml-biniou/APKBUILD
+++ b/testing/ocaml-biniou/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.2.0
pkgrel=1
pkgdesc="Extensible binary data format, like JSON but faster"
url="https://github.com/mjambon/biniou"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="BSD-3-Clause"
depends="ocaml-runtime ocaml-easy-format"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-camomile/APKBUILD b/testing/ocaml-camomile/APKBUILD
index 37564c785b..7c0f7f4b2d 100644
--- a/testing/ocaml-camomile/APKBUILD
+++ b/testing/ocaml-camomile/APKBUILD
@@ -7,7 +7,7 @@ pkgrel=0
pkgdesc="A Unicode library for OCaml"
url="https://github.com/yoriyuki/Camomile"
# x86, armhf, s390x: limited by ocaml aport
-arch="all !x86 !armhf !s390x"
+arch="all !x86 !armhf !armv7 !s390x"
license="LGPL-2.0-or-later"
depends="$pkgname-data=$pkgver-r$pkgrel ocaml-runtime"
makedepends="dune ocaml ocaml-compiler-libs ocaml-cppo ocaml-findlib opam"
diff --git a/testing/ocaml-cmdliner/APKBUILD b/testing/ocaml-cmdliner/APKBUILD
index 5e25e107db..0322f8e3b3 100644
--- a/testing/ocaml-cmdliner/APKBUILD
+++ b/testing/ocaml-cmdliner/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.0.2
pkgrel=1
pkgdesc="Declarative definition of command line interfaces for OCaml"
url="http://erratique.ch/software/cmdliner"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="ISC"
depends="ocaml-result ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-cppo/APKBUILD b/testing/ocaml-cppo/APKBUILD
index a452fc8d0c..2e55d7d563 100644
--- a/testing/ocaml-cppo/APKBUILD
+++ b/testing/ocaml-cppo/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.6.4
pkgrel=5
pkgdesc="C-style preprocessor for OCaml"
url="https://github.com/mjambon/cppo"
-arch="all !x86 !armhf !s390x" # limited by ocaml
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml
license="BSD-3-Clause"
makedepends="dune ocaml ocaml-ocamlbuild-dev ocaml-findlib opam"
options="textrels" # needed for ppc64le
diff --git a/testing/ocaml-csv/APKBUILD b/testing/ocaml-csv/APKBUILD
index 193e137d63..b9ef9f4cd4 100644
--- a/testing/ocaml-csv/APKBUILD
+++ b/testing/ocaml-csv/APKBUILD
@@ -7,7 +7,7 @@ pkgver=2.1
pkgrel=0
pkgdesc="OCaml library for reading and writing CSV files"
url="https://github.com/Chris00/ocaml-csv"
-arch="all !x86 !armhf !s390x" # limited by ocaml abuild
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml abuild
license="LGPL-2.1-or-later"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-dtoa/APKBUILD b/testing/ocaml-dtoa/APKBUILD
index 8ce6bad83d..9433cf3cfa 100644
--- a/testing/ocaml-dtoa/APKBUILD
+++ b/testing/ocaml-dtoa/APKBUILD
@@ -6,7 +6,7 @@ pkgver=0.3.1
pkgrel=1
pkgdesc="double-to-ascii ocaml implementation"
url="https://github.com/flowtype/ocaml-dtoa"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml-runtime"
checkdepends="ocaml-ounit-dev"
diff --git a/testing/ocaml-easy-format/APKBUILD b/testing/ocaml-easy-format/APKBUILD
index 530a4a64e7..ea83bdbb2b 100644
--- a/testing/ocaml-easy-format/APKBUILD
+++ b/testing/ocaml-easy-format/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.3.1
pkgrel=1
pkgdesc="Pretty-printing library for OCaml"
url="https://mjambon.github.io/mjambon2016/easy-format.html"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="BSD-3-Clause"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-gen/APKBUILD b/testing/ocaml-gen/APKBUILD
index bf9e5c571e..7978eb44a6 100644
--- a/testing/ocaml-gen/APKBUILD
+++ b/testing/ocaml-gen/APKBUILD
@@ -6,7 +6,7 @@ pkgver=0.5.1
pkgrel=0
pkgdesc="Simple, efficient iterators for OCaml"
url="https://github.com/c-cube/gen/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="BSD-2-Clause"
depends="ocaml-runtime"
makedepends="dune ocaml ocaml-findlib opam"
diff --git a/testing/ocaml-labltk/APKBUILD b/testing/ocaml-labltk/APKBUILD
index c6e34ce285..e36d66a6c3 100644
--- a/testing/ocaml-labltk/APKBUILD
+++ b/testing/ocaml-labltk/APKBUILD
@@ -7,7 +7,7 @@ pkgrel=0
_ocamlver=4.06
pkgdesc="Tcl/Tk interface for OCaml"
url="http://labltk.forge.ocamlcore.org/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.0-or-later-WITH-linking-exception"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-lambda-term/APKBUILD b/testing/ocaml-lambda-term/APKBUILD
index d755494bda..e22c86b392 100644
--- a/testing/ocaml-lambda-term/APKBUILD
+++ b/testing/ocaml-lambda-term/APKBUILD
@@ -7,7 +7,7 @@ pkgrel=0
pkgdesc="Terminal manipulation library for OCaml"
url="https://github.com/diml/lambda-term"
# x86, armhf, s390x: limited by ocaml aport
-arch="all !x86 !armhf !s390x"
+arch="all !x86 !armhf !armv7 !s390x"
license="BSD-3-Clause"
depends="ocaml-camomile ocaml-lwt ocaml-lwt_react ocaml-lwt_log ocaml-zed"
makedepends="
diff --git a/testing/ocaml-lwt/APKBUILD b/testing/ocaml-lwt/APKBUILD
index e03f7384be..6e4e90c460 100644
--- a/testing/ocaml-lwt/APKBUILD
+++ b/testing/ocaml-lwt/APKBUILD
@@ -6,7 +6,7 @@ pkgver=4.1.0
pkgrel=0
pkgdesc="OCaml promises and concurrent I/O"
url="https://github.com/ocsigen/lwt"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.1-or-later-WITH-linking-exception BSD-3-Clause"
depends="ocaml-runtime ocaml-result"
depends_dev="libev-dev"
diff --git a/testing/ocaml-lwt_log/APKBUILD b/testing/ocaml-lwt_log/APKBUILD
index 9f713d1082..ae5c91e295 100644
--- a/testing/ocaml-lwt_log/APKBUILD
+++ b/testing/ocaml-lwt_log/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.1.0
pkgrel=0
pkgdesc="Lwt-friendly logger"
url="https://github.com/aantron/lwt_log"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.1-or-later-WITH-linking-exception BSD-3-Clause"
depends="ocaml-runtime ocaml-lwt>=4.0.0"
makedepends="dune ocaml ocaml-findlib ocaml-lwt-dev>=4.0.0 opam"
diff --git a/testing/ocaml-markup/APKBUILD b/testing/ocaml-markup/APKBUILD
index 793bb62a21..b86959ab40 100644
--- a/testing/ocaml-markup/APKBUILD
+++ b/testing/ocaml-markup/APKBUILD
@@ -6,7 +6,7 @@ pkgver=0.7.6
pkgrel=3
pkgdesc="Error-recovering streaming HTML5 and XML parsers for OCaml"
url="http://aantron.github.io/markup.ml"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="BSD-2-Clause"
depends="ocaml-runtime ocaml-lwt ocaml-uchar ocaml-uutf"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-menhir/APKBUILD b/testing/ocaml-menhir/APKBUILD
index fb406442a3..2670c05811 100644
--- a/testing/ocaml-menhir/APKBUILD
+++ b/testing/ocaml-menhir/APKBUILD
@@ -7,7 +7,7 @@ pkgver=20171013
pkgrel=2
pkgdesc="LR(1) parser generator for OCaml"
url="http://gallium.inria.fr/~fpottier/menhir/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="GPL-2.0-only"
makedepends="ocaml ocaml-findlib ocaml-ocamlbuild-dev ocamlbuild"
options="!check" # no tests provided
diff --git a/testing/ocaml-merlin-extend/APKBUILD b/testing/ocaml-merlin-extend/APKBUILD
index 83e9074eea..7a279a65b2 100644
--- a/testing/ocaml-merlin-extend/APKBUILD
+++ b/testing/ocaml-merlin-extend/APKBUILD
@@ -6,7 +6,7 @@ pkgver=0.3
pkgrel=2
pkgdesc="SDK to extend Merlin"
url="https://github.com/let-def/merlin-extend"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml-runtime"
makedepends="ocaml ocaml-compiler-libs ocaml-cppo ocaml-findlib"
diff --git a/testing/ocaml-migrate-parsetree/APKBUILD b/testing/ocaml-migrate-parsetree/APKBUILD
index 35a7aa26bc..9072e7c438 100644
--- a/testing/ocaml-migrate-parsetree/APKBUILD
+++ b/testing/ocaml-migrate-parsetree/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.0.11
pkgrel=0
pkgdesc="Convert OCaml parsetrees between different major versions"
url="https://github.com/ocaml-ppx/ocaml-migrate-parsetree"
-arch="all !x86 !armhf !s390x" # limited by ocaml
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml
license="LGPL-2.1-only-WITH-linking-exception"
depends="ocaml-result ocaml-runtime"
depends_dev="ocaml-result-dev"
diff --git a/testing/ocaml-ounit/APKBUILD b/testing/ocaml-ounit/APKBUILD
index ba6f0d3bb2..09685f1ec8 100644
--- a/testing/ocaml-ounit/APKBUILD
+++ b/testing/ocaml-ounit/APKBUILD
@@ -6,7 +6,7 @@ pkgver=2.0.8
pkgrel=0
pkgdesc="A unit test framework for OCaml"
url="http://ounit.forge.ocamlcore.org/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-ppx_derivers/APKBUILD b/testing/ocaml-ppx_derivers/APKBUILD
index 4b9b78d3b6..531d909632 100644
--- a/testing/ocaml-ppx_derivers/APKBUILD
+++ b/testing/ocaml-ppx_derivers/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.2
pkgrel=1
pkgdesc="Shared [@@deriving] plugins registry"
url="https://github.com/ocaml-ppx/ppx_derivers"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="BSD-3-Clause"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-ppx_deriving/APKBUILD b/testing/ocaml-ppx_deriving/APKBUILD
index cf3860ac10..ee6056fd4b 100644
--- a/testing/ocaml-ppx_deriving/APKBUILD
+++ b/testing/ocaml-ppx_deriving/APKBUILD
@@ -6,7 +6,7 @@ pkgver=4.2.1
pkgrel=2
pkgdesc="Type-driven code generation for OCaml"
url="https://github.com/ocaml-ppx/ppx_deriving"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="
ocaml-migrate-parsetree
diff --git a/testing/ocaml-ppx_gen_rec/APKBUILD b/testing/ocaml-ppx_gen_rec/APKBUILD
index ec5f7590d2..a71e4d9063 100644
--- a/testing/ocaml-ppx_gen_rec/APKBUILD
+++ b/testing/ocaml-ppx_gen_rec/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.0.0
pkgrel=0
pkgdesc="OCaml preprocessor that generates a recursive module"
url="https://github.com/flowtype/ocaml-ppx_gen_rec"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml-runtime ocaml-migrate-parsetree"
makedepends="dune ocaml ocaml-compiler-libs ocaml-findlib ocaml-migrate-parsetree-dev opam"
diff --git a/testing/ocaml-ppx_tools/APKBUILD b/testing/ocaml-ppx_tools/APKBUILD
index bd792b5c85..dca2ccfa5a 100644
--- a/testing/ocaml-ppx_tools/APKBUILD
+++ b/testing/ocaml-ppx_tools/APKBUILD
@@ -8,7 +8,7 @@ _ocamlver=4.06
_pkgver="$pkgver+$_ocamlver.0"
pkgdesc="Tools for authors of ppx rewriters"
url="https://github.com/ocaml-ppx/ppx_tools"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml-findlib ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-ppx_tools_versioned/APKBUILD b/testing/ocaml-ppx_tools_versioned/APKBUILD
index e438acc06a..b0720ac96d 100644
--- a/testing/ocaml-ppx_tools_versioned/APKBUILD
+++ b/testing/ocaml-ppx_tools_versioned/APKBUILD
@@ -6,7 +6,7 @@ pkgver=5.2
pkgrel=0
pkgdesc="Tools for authors of ppx rewriters"
url="https://github.com/ocaml-ppx/ppx_tools_versioned"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml-runtime ocaml-migrate-parsetree"
makedepends="dune ocaml ocaml-compiler-libs ocaml-findlib
diff --git a/testing/ocaml-re/APKBUILD b/testing/ocaml-re/APKBUILD
index 86199d3deb..fcf4dce951 100644
--- a/testing/ocaml-re/APKBUILD
+++ b/testing/ocaml-re/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.7.3
pkgrel=0
pkgdesc="Pure OCaml regular expressions, with support for Perl and POSIX-style strings"
url="https://github.com/ocaml/ocaml-re"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.1-or-later"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-react/APKBUILD b/testing/ocaml-react/APKBUILD
index 08b731cea3..e3f96a6317 100644
--- a/testing/ocaml-react/APKBUILD
+++ b/testing/ocaml-react/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.2.1
pkgrel=0
pkgdesc="OCaml framework for Functional Reactive Programming (FRP)"
url="http://erratique.ch/software/react"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="ISC"
depends="ocaml-runtime"
makedepends="ncurses ocaml ocaml-compiler-libs ocaml-findlib ocaml-topkg ocamlbuild opam"
diff --git a/testing/ocaml-reactivedata/APKBUILD b/testing/ocaml-reactivedata/APKBUILD
index 6ee2d1f421..a0351edc1e 100644
--- a/testing/ocaml-reactivedata/APKBUILD
+++ b/testing/ocaml-reactivedata/APKBUILD
@@ -6,7 +6,7 @@ pkgver=0.2.1
pkgrel=1
pkgdesc="FRP with incremental changes in data structures for OCaml"
url="https://github.com/ocsigen/reactiveData/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.1-or-later-WITH-linking-exception"
depends="ocaml-react ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-result/APKBUILD b/testing/ocaml-result/APKBUILD
index 6f24508ba2..579c12c12a 100644
--- a/testing/ocaml-result/APKBUILD
+++ b/testing/ocaml-result/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.3
pkgrel=4
pkgdesc="Compat result type"
url="https://github.com/janestreet/result"
-arch="all !x86 !armhf !s390x" # limited by ocaml
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml
license="BSD-3-Clause"
depends="ocaml-runtime"
makedepends="dune ocaml ocaml-findlib opam"
diff --git a/testing/ocaml-sedlex/APKBUILD b/testing/ocaml-sedlex/APKBUILD
index 4d0924f892..cea3e7eb6b 100644
--- a/testing/ocaml-sedlex/APKBUILD
+++ b/testing/ocaml-sedlex/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.99.4
pkgrel=0
pkgdesc="An OCaml lexer generator for Unicode"
url="https://github.com/alainfrisch/sedlex"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml-gen
ocaml-migrate-parsetree
diff --git a/testing/ocaml-topkg/APKBUILD b/testing/ocaml-topkg/APKBUILD
index 048ddd3854..ed2121a38b 100644
--- a/testing/ocaml-topkg/APKBUILD
+++ b/testing/ocaml-topkg/APKBUILD
@@ -7,7 +7,7 @@ pkgver=0.9.1
pkgrel=1
pkgdesc="The transitory OCaml software packager"
url="http://erratique.ch/software/topkg"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="ISC"
depends="ocaml-result ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-tyxml/APKBUILD b/testing/ocaml-tyxml/APKBUILD
index 8a2e0fe0b4..254a8c7e9a 100644
--- a/testing/ocaml-tyxml/APKBUILD
+++ b/testing/ocaml-tyxml/APKBUILD
@@ -6,7 +6,7 @@ pkgver=4.2.0
pkgrel=1
pkgdesc="OCaml library for building statically correct HTML and SVG documents"
url="https://ocsigen.org/tyxml/"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.1-or-later"
depends="ocaml-runtime ocaml-re ocaml-uchar ocaml-uutf"
depends_dev="$pkgname=$pkgver-r$pkgrel $pkgname-ppx=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-uchar/APKBUILD b/testing/ocaml-uchar/APKBUILD
index 02c200b55a..e3666a7f50 100644
--- a/testing/ocaml-uchar/APKBUILD
+++ b/testing/ocaml-uchar/APKBUILD
@@ -9,7 +9,7 @@ pkgver=0.0.2
pkgrel=0
pkgdesc="Compatibility library for OCaml's Uchar module"
url="https://github.com/ocaml/uchar"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.1-WITH-linking-exception"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-uutf/APKBUILD b/testing/ocaml-uutf/APKBUILD
index adab9c0edf..b32a356588 100644
--- a/testing/ocaml-uutf/APKBUILD
+++ b/testing/ocaml-uutf/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.0.1
pkgrel=1
pkgdesc="Non-blocking streaming Unicode codec for OCaml"
url="https://github.com/dbuenzli/uutf"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="ISC"
depends="ocaml-uchar"
depends_dev="$pkgname=$pkgver-r$pkgrel"
diff --git a/testing/ocaml-wtf8/APKBUILD b/testing/ocaml-wtf8/APKBUILD
index 54e3393545..73e0d6fd82 100644
--- a/testing/ocaml-wtf8/APKBUILD
+++ b/testing/ocaml-wtf8/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.0.1
pkgrel=0
pkgdesc="An ocaml library that implements a WTF-8 encoder and decoder"
url="https://github.com/flowtype/ocaml-wtf8"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml-runtime"
makedepends="dune ocaml ocaml-findlib opam"
diff --git a/testing/ocaml-yojson/APKBUILD b/testing/ocaml-yojson/APKBUILD
index 3c927292c6..67d84aa69b 100644
--- a/testing/ocaml-yojson/APKBUILD
+++ b/testing/ocaml-yojson/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.4.1
pkgrel=2
pkgdesc="JSON parsing and pretty-printing library for OCaml"
url="https://github.com/mjambon/yojson"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="BSD-3-Clause"
depends="ocaml-runtime ocaml-biniou ocaml-easy-format"
depends_dev="$pkgname=$pkgver-r$pkgrel ocaml-biniou-dev ocaml-easy-format-dev"
diff --git a/testing/ocaml-zed/APKBUILD b/testing/ocaml-zed/APKBUILD
index e855b0daf1..26955f06eb 100644
--- a/testing/ocaml-zed/APKBUILD
+++ b/testing/ocaml-zed/APKBUILD
@@ -7,7 +7,7 @@ pkgrel=2
pkgdesc="Abstract engine for text edition in OCaml"
url="https://github.com/diml/zed"
# x86, armhf, s390x: limited by ocaml aport
-arch="all !x86 !armhf !s390x"
+arch="all !x86 !armhf !armv7 !s390x"
license="BSD-3-Clause"
depends="ocaml-runtime"
makedepends="dune ocaml ocaml-compiler-libs ocaml-camomile-dev ocaml-findlib
diff --git a/testing/ocamlclean/APKBUILD b/testing/ocamlclean/APKBUILD
index 7e70ae7e62..ff121245c7 100644
--- a/testing/ocamlclean/APKBUILD
+++ b/testing/ocamlclean/APKBUILD
@@ -5,7 +5,7 @@ pkgver=2.1
pkgrel=0
pkgdesc="OCaml Bytecode Cleaner"
url="http://www.algo-prog.info/ocapic/web/index.php?id=OCAPIC:OCamlClean"
-arch="all !x86 !armhf !s390x" # limited by ocaml aport
+arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="CECILL-2.0"
makedepends="bash ocaml ocamlbuild"
subpackages="$pkgname-doc"
diff --git a/testing/ossec-hids/APKBUILD b/testing/ossec-hids/APKBUILD
index 7f1926f383..c7ff2ef048 100644
--- a/testing/ossec-hids/APKBUILD
+++ b/testing/ossec-hids/APKBUILD
@@ -5,7 +5,7 @@ pkgver=2.9.3
pkgrel=0
pkgdesc="Open Source Host-based Intrusion Detection System"
url="http://www.ossec.net/"
-arch="all !aarch64 !armhf"
+arch="all !aarch64 !armhf !armv7"
license="GPL-3.0"
depends="inotify-tools procps"
makedepends="linux-headers inotify-tools-dev findutils file"
diff --git a/testing/php7-tideways_xhprof/APKBUILD b/testing/php7-tideways_xhprof/APKBUILD
index cfd1bcd112..3fa11bfd8a 100644
--- a/testing/php7-tideways_xhprof/APKBUILD
+++ b/testing/php7-tideways_xhprof/APKBUILD
@@ -8,7 +8,7 @@ _pkgver=${pkgver/_/-}
pkgrel=1
pkgdesc="Modern XHProf compatible Profiler for PHP 7"
url="http://tideways.io"
-arch="all !armhf !aarch64 !s390x" # fails to build
+arch="all !armhf !armv7 !aarch64 !s390x" # fails to build
license="Apache-2.0"
depends="php7"
makedepends="php7-dev autoconf"
diff --git a/testing/py-unicorn-hat/APKBUILD b/testing/py-unicorn-hat/APKBUILD
index bded9ea2ec..ec85874c54 100644
--- a/testing/py-unicorn-hat/APKBUILD
+++ b/testing/py-unicorn-hat/APKBUILD
@@ -6,7 +6,7 @@ pkgver=2.1.2
pkgrel=0
pkgdesc="Python wrapper for driving ws2812 pixels from the Raspberry Pi"
url="http://shop.pimoroni.com/products/unicorn-hat"
-arch="armhf aarch64"
+arch="armhf armv7 aarch64"
license="GPL-2.0"
depends="python2"
depends_dev=""
diff --git a/testing/rakudo/APKBUILD b/testing/rakudo/APKBUILD
index 4dbb7c0639..d399086ff9 100644
--- a/testing/rakudo/APKBUILD
+++ b/testing/rakudo/APKBUILD
@@ -5,7 +5,7 @@ pkgver=2018.08
pkgrel=0
pkgdesc="A compiler for the Perl 6 programming language"
url="http://rakudo.org/"
-arch="all !x86 !armhf"
+arch="all !x86 !armhf !armv7"
license="Artistic-2.0"
depends="nqp libffi"
makedepends="perl-utils moarvm-dev libffi-dev"
diff --git a/testing/reason/APKBUILD b/testing/reason/APKBUILD
index 56575bf3a2..430b8e9f88 100644
--- a/testing/reason/APKBUILD
+++ b/testing/reason/APKBUILD
@@ -6,7 +6,7 @@ pkgrel=1
pkgdesc="Simple, fast & type safe code that leverages the JavaScript & OCaml ecosystems"
url="http://reasonml.github.io/"
# x86, armhf, s390x: limited by ocaml aport
-arch="all !x86 !armhf !s390x"
+arch="all !x86 !armhf !armv7 !s390x"
license="MIT"
checkdepends="nodejs utop-full"
_menhirver=20171013
diff --git a/testing/reptyr/APKBUILD b/testing/reptyr/APKBUILD
index 60dba0dcd6..5f0cdd279b 100644
--- a/testing/reptyr/APKBUILD
+++ b/testing/reptyr/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.6.2
pkgrel=0
pkgdesc="Reparent a running program to a new terminal"
url="https://github.com/nelhage/reptyr"
-arch="x86 x86_64 armhf"
+arch="x86 x86_64 armhf armv7"
license="MIT"
makedepends="linux-headers"
subpackages="$pkgname-doc"
diff --git a/testing/simplesnap/APKBUILD b/testing/simplesnap/APKBUILD
index 2e8dc3e3e4..a10d97538d 100644
--- a/testing/simplesnap/APKBUILD
+++ b/testing/simplesnap/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.0.4
pkgrel=1
pkgdesc="Simple and powerful network transmission of ZFS snapshots"
url="https://github.com/jgoerzen/simplesnap"
-arch="noarch !armhf"
+arch="noarch !armhf !armv7"
license="GPL-3.0-or-later"
depends="bash coreutils liblockfile openssh-client zfs"
subpackages="$pkgname-doc"
diff --git a/testing/snapper/APKBUILD b/testing/snapper/APKBUILD
index 950914d077..7d1ebfe865 100644
--- a/testing/snapper/APKBUILD
+++ b/testing/snapper/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.5.4
pkgrel=1
pkgdesc="Manage filesystem snapshots and allow undo of system modifications"
url="https://snapper.io"
-arch="all !armhf" # armhf: fails to build
+arch="all !armhf !armv7" # armhf: fails to build
license="GPL-2.0"
# 3 tests are failing
options="!check"
diff --git a/testing/syncthing-inotify/APKBUILD b/testing/syncthing-inotify/APKBUILD
index 7ac0f6845f..de1f9148b0 100644
--- a/testing/syncthing-inotify/APKBUILD
+++ b/testing/syncthing-inotify/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.8.7
pkgrel=1
pkgdesc="File watcher intended for use with Syncthing"
url="https://github.com/syncthing/syncthing-inotify"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="MPL-2.0"
depends="syncthing"
makedepends="go"
diff --git a/testing/thermald/APKBUILD b/testing/thermald/APKBUILD
index bd5f12285b..de608cab0e 100644
--- a/testing/thermald/APKBUILD
+++ b/testing/thermald/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.6
pkgrel=0
pkgdesc="Thermal daemon for IA"
url="https://github.com/01org/thermal_daemon"
-arch="all !armhf !aarch64 !s390x"
+arch="all !armhf !armv7 !aarch64 !s390x"
license="GPL-2.0"
depends=""
makedepends="autoconf automake libtool dbus-glib-dev libxml2-dev linux-headers"
diff --git a/testing/tsung/APKBUILD b/testing/tsung/APKBUILD
index 28bade524a..4055a682ee 100644
--- a/testing/tsung/APKBUILD
+++ b/testing/tsung/APKBUILD
@@ -7,7 +7,7 @@ pkgrel=1
pkgdesc="Tsung is a high-performance benchmark framework for various protocols including HTTP,XMPP,LDAP,etc."
url="http://www.process-one.net/en/tsung/"
license="GPL-2.0"
-arch="noarch !armhf"
+arch="noarch !armhf !armv7"
depends="bash
erlang
erlang-crypto
diff --git a/testing/upmpdcli/APKBUILD b/testing/upmpdcli/APKBUILD
index 80f6d6875a..f841745e1b 100644
--- a/testing/upmpdcli/APKBUILD
+++ b/testing/upmpdcli/APKBUILD
@@ -5,7 +5,7 @@ pkgver=1.2.16
pkgrel=0
pkgdesc="upmpdcli is a UPnP Media Renderer front-end for MPD, the Music Player Daemon"
url="http://www.lesbonscomptes.com/upmpdcli"
-arch="all !armhf"
+arch="all !armhf !armv7"
license="GPL-2.0"
options="!check"
depends=""
diff --git a/testing/utop/APKBUILD b/testing/utop/APKBUILD
index 82f20cf8c3..2ef228d69e 100644
--- a/testing/utop/APKBUILD
+++ b/testing/utop/APKBUILD
@@ -6,7 +6,7 @@ pkgrel=2
pkgdesc="Universal toplevel for OCaml"
url="https://github.com/diml/utop"
# x86, armhf, s390x: limited by ocaml aport
-arch="all !x86 !armhf !s390x"
+arch="all !x86 !armhf !armv7 !s390x"
license="BSD-3-Clause"
depends="
ocaml-$pkgname=$pkgver-r$pkgrel
diff --git a/testing/veracrypt/APKBUILD b/testing/veracrypt/APKBUILD
index 131b856ad3..b53ee0a899 100644
--- a/testing/veracrypt/APKBUILD
+++ b/testing/veracrypt/APKBUILD
@@ -6,7 +6,7 @@ pkgver=1.22
pkgrel=3
pkgdesc="disk encryption with strong security based on TrueCrypt"
url="https://www.veracrypt.fr/"
-arch="all !x86 !armhf !s390x" # issues on linking
+arch="all !x86 !armhf !armv7 !s390x" # issues on linking
license="Apache-2.0"
depends="device-mapper"
makedepends="fuse-dev wxgtk-dev libsm-dev yasm"
diff --git a/testing/virglrenderer/APKBUILD b/testing/virglrenderer/APKBUILD
index 0a4bb23456..8a5621ad63 100644
--- a/testing/virglrenderer/APKBUILD
+++ b/testing/virglrenderer/APKBUILD
@@ -5,7 +5,7 @@ pkgver=0.6.0
pkgrel=1
pkgdesc="A virtual 3D GPU library, that allows the guest operating system to use the host GPU to accelerate 3D rendering"
url="https://virgil3d.github.io/"
-arch="x86_64 ppc64le armhf aarch64 x86"
+arch="x86_64 ppc64le armhf armv7 aarch64 x86"
license="MIT"
depends="libepoxy mesa"
makedepends="file libdrm-dev mesa-dev libepoxy-dev"
diff --git a/testing/yara/APKBUILD b/testing/yara/APKBUILD
index 59151e9363..5a371200bd 100644
--- a/testing/yara/APKBUILD
+++ b/testing/yara/APKBUILD
@@ -5,7 +5,7 @@ pkgver=3.7.0
pkgrel=2
pkgdesc="The pattern matching swiss knife for malware researchers"
url="https://virustotal.github.io/yara/"
-arch="all !armhf" # armhf: tests fail
+arch="all !armhf !armv7" # armhf: tests fail
license="BSD-3-Clause"
makedepends="automake file-dev libressl-dev autoconf libtool flex"
source="$pkgname-$pkgver.tar.gz::https://github.com/VirusTotal/$pkgname/archive/v$pkgver.tar.gz"